﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Obres.aspx.cs" Inherits="Obres" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta name="keywords" content="" />
<meta name="description" content="" />
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title>Serralleria Josep</title>
<link href='http://fonts.googleapis.com/css?family=Oswald:400,300' rel='stylesheet' type='text/css' />
<link href='http://fonts.googleapis.com/css?family=Abel' rel='stylesheet' type='text/css' />
<link href="style.css" rel="stylesheet" type="text/css" media="screen" />
     <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css"/>
  
   
    <style type="text/css">
        .input-lg {
            width: 352px;
            margin-left: 0px;
        }
        .form-group {
            height: 358px;
        }
    </style>
  
   
</head>
<body>

     <form id="form1" runat="server">
     <div id="wrapper">
	
<div id="header-wrapper">
		<div id="header" class="container">
			<div id="logo">
				<h1><a href="#">EstructMet </a></h1>
			</div>
			<div id="menu">
				<ul>
					<li class="current_page_item"><a href="Menu.aspx">Menu</a></li>
					<li><a href="Clients.aspx">Clients</a></li>
					<li><a href="Proveidors.aspx">Proveïdors</a></li>
					<li><a href="Treballadors.aspx">Treballadors</a></li>
					<li><a href="Tasques.aspx">Tasques</a></li>
                    <li><a href="Productes.aspx">Productes</a></li>
				</ul>
			</div>
		</div>
		
	</div>
	<!-- end #header -->
	
	<div id="page">
          <div style="text-align:center" />
     <asp:Label ID="Label1"  runat="server" Text="Dades de les nostres Obres" Font-Size="X-Large" CssClass="accordion" Font-Bold="True" AssociatedControlID="GridView1" Width="323px" Height="43px" Font-Names="Calibri" ></asp:Label>
    
              <br />
              <br />
    
     <div style="text-align:center">
     Buscar Obres:

<asp:TextBox ID="txtSearch" runat="server"></asp:TextBox>

<asp:Button ID="btnSearch" runat="server" Text="Cercar" />
         <br />
         <br />
        </div>


		  
             <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
            DataKeyNames="IdObra" DataSourceID="SqlDataSource2" AllowPaging="True" 
            AllowSorting="True" HorizontalAlign="Center" CaptionAlign="Bottom" Width="943px">
            <Columns>
                <asp:CommandField ButtonType="Image" CancelImageUrl="~/images/eliminar.png" DeleteImageUrl="~/images/eliminar.png" EditImageUrl="~/images/edit.png" InsertImageUrl="~/images/add.png" NewImageUrl="~/images/add.png" ShowDeleteButton="True" ShowEditButton="True" UpdateImageUrl="~/images/edit.png" />
                <asp:TemplateField HeaderText="Client" SortExpression="NObra">
                    <EditItemTemplate>
                        <asp:DropDownList ID="DropDownList2" runat="server" DataSourceID="SqlDataSource1" DataTextField="Nom" DataValueField="IdClient" SelectedValue='<%# Bind("IdClient") %>'>
                        </asp:DropDownList>
                        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:BDConnectionString %>" SelectCommand="SELECT DISTINCT [IdClient], [Nom] FROM [Clients1]"></asp:SqlDataSource>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("NObra") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="Descripció" HeaderText="Descripció" SortExpression="Descripció" />
                <asp:BoundField DataField="Direccio" HeaderText="Direcció" SortExpression="Direccio" />
                <asp:BoundField DataField="Poblacio" HeaderText="Població" SortExpression="Poblacio" />
                <asp:BoundField DataField="Provincia" HeaderText="Provincia" SortExpression="Provincia" />
                <asp:BoundField DataField="Codi_Postal" HeaderText="Codi Postal" SortExpression="Codi_Postal" />
                <asp:BoundField DataField="Inici_obra" DataFormatString="{0:d}" HeaderText="Data Inici" SortExpression="Inici_obra" />
                <asp:BoundField DataField="Final_obra" DataFormatString="{0:d}" HeaderText="Data Final" SortExpression="Final_obra" />
                <asp:BoundField DataField="Observacions" HeaderText="Observacions" SortExpression="Observacions" />
            </Columns>
                 <EmptyDataTemplate>
                     <asp:DropDownList ID="DropDownList1" runat="server" DataSourceID="SqlDataSource1" DataTextField="Nom" DataValueField="IdClient" SelectedValue='<%# Eval("IdClient") %>'>
                     </asp:DropDownList>
                     <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:BDConnectionString %>" SelectCommand="SELECT DISTINCT [IdClient], [Nom] FROM [Clients1]"></asp:SqlDataSource>
                 </EmptyDataTemplate>
        </asp:GridView>

       <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:BDConnectionString %>" DeleteCommand="DELETE FROM Obra1 WHERE (IdObra = @IdObra)" InsertCommand="INSERT INTO Obra1(IdClient, Descripció, Direccio, Provincia, Poblacio, Codi_Postal, Inici_obra, Final_obra, Observacions) VALUES (@IdClient, @Descripció, @Direccio, @Provincia, @Poblacio, @Codi_Postal, @Inici_obra, @Final_obra, @Observacions)" SelectCommand="SELECT Obra1.IdObra, Obra1.IdClient, Obra1.Descripció, Obra1.Direccio, Obra1.Poblacio, Obra1.Provincia, Obra1.Codi_Postal, Obra1.Inici_obra, Obra1.Final_obra, Obra1.Observacions, Clients1.Nom AS NObra FROM Obra1 INNER JOIN Clients1 ON Obra1.IdClient = Clients1.IdClient" UpdateCommand="UPDATE Obra1 SET IdClient = @IdClient, Descripció = @Descripció, Direccio = @Direccio, Poblacio = @Poblacio, Provincia = @Provincia, Codi_Postal = @Codi_Postal, Inici_obra = @Inici_obra, Final_obra = @Final_obra, Observacions = @Observacions WHERE (IdObra = @IdObra)" FilterExpression="Descripció LIKE '{0}%'">
                <DeleteParameters>
                    <asp:Parameter Name="IdObra" />
                </DeleteParameters>
                <InsertParameters>
                    <asp:Parameter Name="IdClient" />
                    <asp:Parameter Name="Descripció" />
                    <asp:Parameter Name="Direccio" />
                    <asp:Parameter Name="Provincia" />
                    <asp:Parameter Name="Poblacio" />
                    <asp:Parameter Name="Codi_Postal" />
                    <asp:Parameter Name="Inici_obra" />
                    <asp:Parameter Name="Final_obra" />
                    <asp:Parameter Name="Observacions" />
                </InsertParameters>
                <UpdateParameters>
                    <asp:Parameter Name="IdClient" />
                    <asp:Parameter Name="Descripció" />
                    <asp:Parameter Name="Direccio" />
                    <asp:Parameter Name="Poblacio" />
                    <asp:Parameter Name="Provincia" />
                    <asp:Parameter Name="Codi_Postal" />
                    <asp:Parameter Name="Inici_obra" />
                    <asp:Parameter Name="Final_obra" />
                    <asp:Parameter Name="Observacions" />
                    <asp:Parameter Name="IdObra" />
                </UpdateParameters>
                 <FilterParameters>

                   
                   <asp:ControlParameter Name="Descripció" ControlID="txtSearch" PropertyName="Text" />
               
          </FilterParameters>
        </asp:SqlDataSource>
              <br />
              <br />
              <br />
              <asp:Button ID="btnAdd" runat="server" Text="Afegir Nova obra"  CssClass="btn btn-info" PostBackUrl="~/addObres.aspx"/>
         </div>
			
		
		
		<!-- end #sidebar -->
		<div style="clear: both;">&nbsp;</div>
	</div>
	<!-- end #page --> 

<div id="footer">
	<p>&copy; Untitled. All rights reserved. Design by EstructMet.</p>
</div>
<!-- end #footer -->

    <div>
    
    </div>
    </form>
</body>
</html>
