﻿Imports System.Drawing.Printing

Public Class Form2

    Private Property PrinterSettings As PrinterSettings





    Private Sub Form2_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: esta línea de código carga datos en la tabla 'BDDataSet.HEA' Puede moverla o quitarla según sea necesario.
        Me.HEATableAdapter.Fill(Me.BDDataSet.HEA)
     


        MostrarPosicion()

    End Sub

    Private Sub MostrarPosicion()
        'Total registros
        Dim iTotal As Integer = HEABindingSource.Count
        'Número (1, 2, ...) de registro
        Dim iPos As Integer

        If iTotal = 0 Then
            etPosicion.Text = "No registros"
        Else
            iPos = HEABindingSource.Position + 1
            'Mostrar información en la etiqueta
            etPosicion.Text = iPos.ToString & " de " & iTotal.ToString
        End If
    End Sub
    Private Sub btPrimero_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btPrimero.Click
        HEABindingSource.Position = 0

        MostrarPosicion()
    End Sub

    Private Sub btAnterior_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btAnterior.Click
        HEABindingSource.Position -= 1
        MostrarPosicion()
    End Sub

    Private Sub btSiguiente_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btSiguiente.Click
        HEABindingSource.Position += 1
        MostrarPosicion()
    End Sub

    Private Sub btUltimo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btUltimo.Click
        HEABindingSource.Position = HEABindingSource.Count - 1
        MostrarPosicion()
    End Sub

    Private Sub etPosicion_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles etPosicion.Click

    End Sub
    Function Buscar( _
       ByVal Columna As String, _
       ByVal texto As String, _
       ByVal BindingSource As BindingSource) As Integer

        Try
            ' si está vacio salir y no retornar nada   
            If HEABindingSource.DataSource Is Nothing Then
                Return -1
            End If

            ' Ejecutar el método Find pasándole los datos   
            Dim fila As Integer = BindingSource.Find(Columna.Trim, texto)

            ' Mover el cursor a la fila obtenida   
            BindingSource.Position = fila

            ' retornar el valor   
            Return fila

            ' errores   
        Catch ex As Exception
            MsgBox(ex.Message.ToString, MsgBoxStyle.Critical)
        End Try
        ' no retornar nada   
        Return -1

    End Function


    Private Sub btBuscar_Click(ByVal sender As System.Object, _
                 ByVal e As System.EventArgs) Handles btBuscar.Click

        ' Pasar el nombre del campo por el cual buscar ,    
        ' el dato, y el BindingSource enlazado al DataGridView    
        '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''   
        Dim ret As Integer = Buscar("Perfil", ctBuscar.Text.Trim, HEABindingSource)

        ' si no se encontró ....   
        If ret = -1 Then
            ' mostrar un mensaje   
            MsgBox("No se encontró la fila", MsgBoxStyle.Critical)
        Else
            With DataGridView1
                ' volver a enlazar   
                .DataSource = HEABindingSource
                ' Pasarle el índice para Visualizar la fila al comienzo de la grilla   
                .FirstDisplayedScrollingRowIndex = ret
            End With
        End If
    End Sub
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        If PrintDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            PrintDocument1.PrinterSettings = PrintDialog1.PrinterSettings
            PrintDocument1.Print()
        End If


    End Sub




    Private Sub PrintDocument1_PrintPage_1(ByVal sender As System.Object, ByVal e As System.Drawing.Printing.PrintPageEventArgs) Handles PrintDocument1.PrintPage
        Static pageNum As Integer
        Dim i As Integer = 0
        Dim prFont As New Font("Verdana", 12, GraphicsUnit.Point)
        e.Graphics.DrawString("Página " & pageNum + 1, prFont, Brushes.Black, 650, 1100)
        e.Graphics.DrawString("Unidades", prFont, Brushes.Black, 10, 10)
        e.Graphics.DrawString("Descripción", prFont, Brushes.Black, 100, 10)
        e.Graphics.DrawString("Importe", prFont, Brushes.Black, 210, 10)
        e.Graphics.DrawString("IVA", prFont, Brushes.Black, 310, 10)
        e.Graphics.DrawString("Total", prFont, Brushes.Black, 410, 10)

        While i < Me.DataGridView1.RowCount
            e.Graphics.DrawString(Me.DataGridView1.Item(0, i).Value, prFont, Brushes.Black, 10, i * 20 + 30)
            e.Graphics.DrawString(Me.DataGridView1.Item(1, i).Value, prFont, Brushes.Black, 110, i * 20 + 30)
            e.Graphics.DrawString(Me.DataGridView1.Item(2, i).Value, prFont, Brushes.Black, 210, i * 20 + 30)
            e.Graphics.DrawString(Me.DataGridView1.Item(3, i).Value, prFont, Brushes.Black, 310, i * 20 + 30)
            e.Graphics.DrawString(Me.DataGridView1.Item(4, i).Value, prFont, Brushes.Black, 410, i * 20 + 30)
            i += 1
            'If i > 50 Then
            ' e.HasMorePages = True
            'End If
        End While
    End Sub


End Class