﻿Public Class Form3



    

    Private Sub MostrarPosicion()
        'Total registros
        Dim iTotal As Integer = HEB2BindingSource.Count
        'Número (1, 2, ...) de registro
        Dim iPos As Integer

        If iTotal = 0 Then
            etPosicion.Text = "No registros"
        Else
            iPos = HEB2BindingSource.Position + 1
            'Mostrar información en la etiqueta
            etPosicion.Text = iPos.ToString & " de " & iTotal.ToString
        End If
    End Sub
    Private Sub btPrimero_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btPrimero.Click
        HEB2BindingSource.Position = 0

        MostrarPosicion()
    End Sub

    Private Sub btAnterior_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btAnterior.Click
        HEB2BindingSource.Position -= 1
        MostrarPosicion()
    End Sub

    Private Sub btSiguiente_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btSiguiente.Click
        HEB2BindingSource.Position += 1
        MostrarPosicion()
    End Sub

    Private Sub btUltimo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btUltimo.Click
        HEB2BindingSource.Position = HEB2BindingSource.Count - 1
        MostrarPosicion()
    End Sub
    Function Buscar( _
   ByVal Columna As String, _
   ByVal texto As String, _
   ByVal BindingSource As BindingSource) As Integer

        Try
            ' si está vacio salir y no retornar nada   
            If HEB2BindingSource.DataSource Is Nothing Then
                Return -1
            End If

            ' Ejecutar el método Find pasándole los datos   
            Dim fila As Integer = BindingSource.Find(Columna.Trim, texto)

            ' Mover el cursor a la fila obtenida   
            BindingSource.Position = fila

            ' retornar el valor   
            Return fila

            ' errores   
        Catch ex As Exception
            MsgBox(ex.Message.ToString, MsgBoxStyle.Critical)
        End Try
        ' no retornar nada   
        Return -1

    End Function

    Private Sub btBuscar_Click(ByVal sender As System.Object, _
                 ByVal e As System.EventArgs) Handles btBuscar.Click

        ' Pasar el nombre del campo por el cual buscar ,    
        ' el dato, y el BindingSource enlazado al DataGridView    
        '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''   
        Dim ret As Integer = Buscar("Perfil", ctBuscar.Text.Trim, HEB2BindingSource)

        ' si no se encontró ....   
        If ret = -1 Then
            ' mostrar un mensaje   
            MsgBox("No se encontró la fila", MsgBoxStyle.Critical)
        Else
            With DataGridView1
                ' volver a enlazar   
                .DataSource = HEB2BindingSource
                ' Pasarle el índice para Visualizar la fila al comienzo de la grilla   
                .FirstDisplayedScrollingRowIndex = ret
            End With
        End If
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        If PrintDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            PrintDocument1.PrinterSettings = PrintDialog1.PrinterSettings
            PrintDocument1.Print()
        End If

    End Sub

    Private Sub PrintDocument1_PrintPage(ByVal sender As System.Object, ByVal e As System.Drawing.Printing.PrintPageEventArgs) Handles PrintDocument1.PrintPage
        e.Graphics.DrawString(ctBuscar.Text, New Font("Verdana", 18, FontStyle.Bold), Brushes.Black, 10, 10)
        For i As Integer = 1 To 10
            e.Graphics.DrawString("Ejemplo de linea: " & i, New Font("Tahoma", 10, FontStyle.Bold), Brushes.Black, 10, 20 + (i * 30))
        Next
    End Sub

    Private Sub Form3_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: esta línea de código carga datos en la tabla 'BDDataSet.HEB2' Puede moverla o quitarla según sea necesario.
        Me.HEB2TableAdapter.Fill(Me.BDDataSet.HEB2)
        'TODO: This line of code loads data into the 'ConsultasFotosDataSet.HEB' table. You can move, or remove it, as needed.
    
        MostrarPosicion()
    End Sub
End Class

 

